<link rel="import" href="../polymer/polymer-element.html">
<link rel="import" href="../polymer/lib/elements/dom-repeat.html">
<link rel="import" href="../fotosocial-post/fotosocial-post.html">

<dom-module id="fotosocial-posts-container">
  <template>
    <style>
      :host {
        display: block;
      }
    </style>
    <dom-repeat items=[[posts]] as="post">
      <template>
        <fotosocial-post post="[[post]]"></fotosocial-post>
      </template>
    </dom-repeat>
  </template>

  <script>
    /**
     * `fotosocial-posts-container`
     * contenedor de posts de un usuario
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class FotosocialPostsContainer extends Polymer.Element {
      static get is() { return 'fotosocial-posts-container'; }
      static get properties() {
        return {
          posts: {
            type: Array,
            value: []
          }
        };
      }
    }

    window.customElements.define(FotosocialPostsContainer.is, FotosocialPostsContainer);
  </script>
</dom-module>
